using System;
using System.IO;

namespace _2023._04._25
{
    class Program
    {
        static void Feladat()
        {
            Random rng = new Random();
            List<int> szamok = new List<int>();
            int szam;

            for(int i = 0; i < 100; i++)
            {
                szam = rng.Next(50, 751);
                szamok.Add(szam);
            }

            using(StreamWriter sw1 = new StreamWriter("szamok.txt"))
            {
                foreach(int i in szamok)
                {
                    sw1.WriteLine(i);
                }
            }

            using(StreamWriter sw2 = new StreamWriter("statisztika.txt"))
            {
                sw2.WriteLine($"A számok összege: {szamok.Sum()}");
                sw2.WriteLine($"A számok átlaga: {szamok.Average()}");
                sw2.WriteLine($"A számok minimuma: {szamok.Min()}");
                sw2.WriteLine($"A számok maximuma: {szamok.Max()}");
            }
        }
        
        static void Main(string[] args)
        {
            Feladat();
        }
    }
}